package proxy.util;

import java.util.UUID;

import com.google.common.collect.LinkedHashMultimap;
import com.google.common.collect.Multimap;

public class Profile {
    private final UUID id;
    private final String name;
    private final Multimap<String, Property> properties = LinkedHashMultimap.create();
    private boolean legacy;

    public Profile(UUID id, String name) {
        this.id = id;
        this.name = name;
    }

    public UUID getId() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }

    public Multimap<String, Property> getProperties() {
        return this.properties;
    }
}
