package proxy.util;

import proxy.nbt.NBTTagCompound;

public final class Stack {
	private final short id;
	private final byte size;
	private final short meta;
	private final NBTTagCompound tag;

	public Stack(short id, byte size, short meta, NBTTagCompound tag) {
		this.id = id;
		this.size = size;
		this.meta = meta;
		this.tag = tag;
	}

	public short getId() {
		return this.id;
	}

	public byte getSize() {
		return this.size;
	}

	public short getMeta() {
		return this.meta;
	}

	public NBTTagCompound getTag() {
		return this.tag;
	}
}
